Purchase Invoice Payment Relation

The purchase invoice payment relation resource.

Basehttps://rest.carbon.ms/purchaseInvoicePaymentRelation
GET/purchaseInvoicePaymentRelation

List purchase invoice payment relations

Retrieve a paginated list of purchase invoice payment relations. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/purchaseInvoicePaymentRelation
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoicePaymentRelation?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "invoiceId": "xyz789",
    "paymentId": "xyz789"
  }
]
GET/purchaseInvoicePaymentRelation

Retrieve a purchase invoice payment relation

Fetch a single purchase invoice payment relation by filtering on `id`.

Query parameters

idstring

Match on the purchase invoice payment relation's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/purchaseInvoicePaymentRelation
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoicePaymentRelation?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "paymentId": "xyz789"
}
POST/purchaseInvoicePaymentRelation

Create a purchase invoice payment relation

Create a new purchase invoice payment relation.

Body parameters

invoiceIdstringrequired

References purchaseInvoice.id

paymentIdstringrequired

References purchasePayment.id

POSThttps://rest.carbon.ms/purchaseInvoicePaymentRelation
curl --request POST \
  --url https://rest.carbon.ms/purchaseInvoicePaymentRelation \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"invoiceId":"xyz789","paymentId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "paymentId": "xyz789"
}
PATCH/purchaseInvoicePaymentRelation

Update a purchase invoice payment relation

Update an existing purchase invoice payment relation, matched on `id`.

Body parameters

invoiceIdstringrequired

References purchaseInvoice.id

paymentIdstringrequired

References purchasePayment.id

PATCHhttps://rest.carbon.ms/purchaseInvoicePaymentRelation
curl --request PATCH \
  --url 'https://rest.carbon.ms/purchaseInvoicePaymentRelation?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"invoiceId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "paymentId": "xyz789"
}
DELETE/purchaseInvoicePaymentRelation

Delete a purchase invoice payment relation

Delete a purchase invoice payment relation, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the purchase invoice payment relation to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/purchaseInvoicePaymentRelation
curl --request DELETE \
  --url 'https://rest.carbon.ms/purchaseInvoicePaymentRelation?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content